#!/bin/bash
source ~/ImporTiVo_Settings.sh

if [ -f config/stop.processing ]
then
	echo "Aborting: stop.processing file found in config directory"
	exit 0
else
	


if [ -f DecodeList.inprogress ]
then
	echo Aborting: DecodeList is running...
	exit 0
fi

touch DecodeList.inprogress
rm -f ./queue/decode.sh
./buildDecodeScripts
./buildQueue decode
./queue/decode.sh


rm -f DecodeList.inprogress
fi
